> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoicing setup

> Get invoicing setup configuration for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/invoicing/setup
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/invoicing/setup:
    get:
      tags:
        - Invoicing - Setup
      summary: Get invoicing setup
      description: Get invoicing setup configuration for the authenticated user
      operationId: getSetup
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseInvoicingSetupGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseInvoicingSetupGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/InvoicingSetupGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    InvoicingSetupGetDto:
      required:
        - brandColor
        - defaultNote
        - defaultReminderRecurrence
        - defaultTerm
        - reimbursableMarkUpPercent
        - setupComplete
      type: object
      properties:
        brandColor:
          type: string
          description: The primary brand color as a six digit hexadecimal value
          nullable: true
          example: 4A90D9
        defaultNote:
          type: string
          description: Default invoice message, appended at the end of the invoice
          nullable: true
          example: Thank you for your business!
        defaultTerm:
          $ref: '#/components/schemas/InvoiceTerm'
        defaultReminderRecurrence:
          $ref: '#/components/schemas/ReminderRecurrence'
        reimbursableMarkUpPercent:
          type: string
          description: Default expense reimbursable mark-up percentage
          nullable: true
          example: '15.0'
        setupComplete:
          type: boolean
          description: Whether the user has completed all invoice setup steps
          example: true
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    InvoiceTerm:
      required:
        - dueDate
        - type
      type: object
      properties:
        type:
          type: string
          description: The payment term type
          nullable: true
          example: NET_30
          enum:
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        dueDate:
          type: string
          description: The due date for payment
          format: date
          nullable: true
          example: '2025-07-26'
      description: Default invoice payment term
      nullable: true
    ReminderRecurrence:
      type: object
      properties:
        frequency:
          type: string
          description: Frequency of the reminder
          example: WEEKLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          example: 1
      description: Default invoice reminder recurrence
      nullable: false
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````